//
//  ViewController.swift
//  Appointments
//
//  Created by Student on 5/19/16.
//  Copyright © 2016 Eric. All rights reserved.
//

import UIKit

class AppointmentsViewController: UITableViewController {

    var appointments = [Appointment]()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.parentViewController!.title = "Appointments"
        //appointments += [Appointment(type: "Repair", date: "5/12/16", address: "5633 Southmoor Cir CO 80113"), Appointment(type: "Install", date: "5/14/16", address: "3111 Cherryridge Rd CO 80113"), Appointment(type: "Repair", date: "5/25/16", address: "5448 DTC Pkway CO 80111")]
        self.navigationController?.navigationBar.barTintColor = UIColor(hex: 0x5ecae2)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
    }
    
    override func numberOfSectionsInTableView(tableView: UITableView) -> Int {
        return 1
    }
    
    override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return appointments.count
    }
    
    override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCellWithIdentifier("AppointmentViewCell", forIndexPath: indexPath) as! AppointmentViewCell
        
        //let appointment = appointments[indexPath.row]
        
        //cell.type.text = appointment.type
        //cell.date.text = appointment.date
        //cell.address.text = appointment.address
        
        return cell
    }

}

